Skip to main content
GET
/
public-api
/
til-requests
List technician-in-the-loop requests
curl --request GET \
  --url https://api.neoagent.io/public-api/til-requests \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.neoagent.io/public-api/til-requests"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.neoagent.io/public-api/til-requests', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "agent_id": 123,
      "agent_name": "<string>",
      "approvers": [
        {
          "user_id": "<string>",
          "user_name": "<string>"
        }
      ],
      "comment": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "decided_by": {
        "id": "<string>",
        "name": "<string>"
      },
      "id": 123,
      "requested_by": {
        "id": "<string>",
        "name": "<string>"
      },
      "requested_for": {},
      "session_id": "<string>",
      "ticket_id": "<string>",
      "ticket_number": "<string>",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "timings_ms": {},
    "pagination": {
      "has_more": true,
      "next_cursor": "<string>"
    },
    "warnings": [
      "<string>"
    ]
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": {}
  },
  "meta": {
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": {}
  },
  "meta": {
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": {}
  },
  "meta": {
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": {}
  },
  "meta": {
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": {}
  },
  "meta": {
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": {}
  },
  "meta": {
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": {}
  },
  "meta": {
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": {}
  },
  "meta": {
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Authorizations

Authorization
string
header
required

Authorization: Bearer <token> where <token> is either a neo_sk_<env>_<secret> API key (service account) or a Microsoft Entra ID access token (dashboard user).

Query Parameters

status
string

Comma-separated TIL statuses to include.

agent_id
integer

Filter by agent (workflow) id.

approver
string

Filter to requests sent to this approver (their stable user id). Honored for admins / API callers; a non-admin is always scoped to their own requests.

q
string

Free-text search over the ticket id, ticket number, and request text (case-insensitive).

created_after
string

Only requests created at or after this ISO-8601 timestamp.

created_before
string

Only requests created at or before this ISO-8601 timestamp.

page_size
integer

Items per page (1-200, default 50).

cursor
string

Opaque pagination cursor from a previous response's meta.pagination.next_cursor.

Response

Success.

data
TilRequest · object[]
required
meta
object
required